Skip to main content
POST
Python (SDK)

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

agent_id
string
required

Body

application/json
schedule
object
required
input
required
Required string length: 1 - 20000
name
string
Required string length: 1 - 120
conversation
any

Arbitrary JSON value.

previous_response_id
string
context_management
object[]

Context management strategies to apply during agent-run response generation. Supports compaction, which summarizes older conversation history when the context exceeds a token threshold.

metadata
object

Response

Schedule created.

object
enum<string>
required
Available options:
agent.schedule
id
string
required
agent_id
string
required
name
string | null
required
status
enum<string>
required
Available options:
active,
paused,
completed,
deleted
schedule
object
required
input
any
required

Arbitrary JSON value.

conversation
any | null
required

Arbitrary JSON value.

previous_response_id
string | null
required
context_management
object[] | null
required
metadata
object | null
required
temporal_schedule_id
string | null
required
last_run_at
string<date-time> | null
required
last_run_id
string | null
required
run_count
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
deleted_at
string<date-time> | null
required